DefaultGrailsCodecClass (Grails 6.0.0)

Package: org.grails.commons

## [Java] Class DefaultGrailsCodecClass

- org.grails.commons.DefaultGrailsCodecClass

- All Implemented Interfaces and Traits:
    GrailsCodecClass, org.springframework.beans.factory.InitializingBean, org.springframework.core.Ordered

      public class DefaultGrailsCodecClass
      extends AbstractInjectableGrailsClass
      implements GrailsCodecClass, org.springframework.beans.factory.InitializingBean, org.springframework.core.Ordered

  Authors:
    Jeff Brown
  Since:
    0.4

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `private class` | `DefaultGrailsCodecClass.ClosureCodecFactory` |
    `private static class` | `DefaultGrailsCodecClass.ClosureDecoder` |
    `private static class` | `DefaultGrailsCodecClass.ClosureEncoder` |
    `private static class` | `DefaultGrailsCodecClass.MethodCallingClosure` |
    `private static class` | `DefaultGrailsCodecClass.StateAwareEncoderWrapper` |
    `private static class` | `DefaultGrailsCodecClass.StreamingStateAwareEncoderWrapper` |

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CODEC` |
    `private Decoder` | `decoder` |
    `private Encoder` | `encoder` |
    `private boolean` | `initialized` |
    `private static int` | `instantionCounter` |
    `private int` | `order` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractGrailsClass` | `classPropertyFetcher, clazz, fullName, grailsApplication, isAbstract, logicalPropertyName, name, naturalName, packageName, propertyName, shortName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultGrailsCodecClass (java.lang.Class<?> clazz)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterPropertiesSet()`
    `` | `protected java.lang.Object` | `autowireCodecBean(java.lang.Object existingBean)`
    `` | `public void` | `configureCodecMethods()`
    `` | `public Decoder` | `getDecoder()`
    `` | `public Encoder` | `getEncoder()`
    `` | `public int` | `getOrder()`
    `` | `private void` | `initializeCodec()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractInjectableGrailsClass` | `byName, byType, getAvailable`
    `class AbstractGrailsClass` | `getApplication, getClazz, getFullName, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPluginName, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, isAbstract, isActionMethod, isReadableProperty, newInstance, resolvePropertyFetcher, setGrailsApplication, toString`

- - ### Field Detail

    - #### public static final java.lang.String CODEC

    - #### private Decoder decoder

    - #### private Encoder encoder

    - #### private boolean initialized

    - #### private static int instantionCounter

    - #### private int order

  - ### Constructor Detail

    - #### public DefaultGrailsCodecClass(java.lang.Class<?> clazz)

  - ### Method Detail

    - #### public void afterPropertiesSet()

    - #### protected java.lang.Object autowireCodecBean(java.lang.Object existingBean)

    - #### public void configureCodecMethods()

    - #### public Decoder getDecoder()

    - #### public Encoder getEncoder()

    - #### public int getOrder()

    - #### private void initializeCodec()